<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for checksuif.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
checksuif - check the legality of a SUIF file

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>checksuif</B> [ <I>options</I> ] <I>infile</I> <I>...</I>

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
There are many rules about what is and is not allowed in a
SUIF file, and only some of these are checked by the SUIF
library because there would be a lot of overhead involved
in checking every rule all the time. The <I>checksuif</I> program
exists as a separate pass to check more of these
rules only when necessary for debugging. It reads the
specified files and performs various checks on the legality
of the SUIF code they contain. If any problems are
found, a diagnostic message is printed to standard output.
<P>
All the checking routines run by <I>checksuif</I> are available
for user programs to run internally in the <I>check</I> library.

<H2><A NAME="sect3" HREF="#toc3"><B>Options</B></A></H2>

<P>
<B>-warn</B> Only print a warning message when a problem is
found, and continue checking the program and eventually
terminate normally, instead of aborting.
This is the default.

<DL>

<DT><B>-fail</B> </DT></DT>
<DD>Print an error message and exit with an error condition
when any problem is found.
</DD>

<DT><B>-verboase</B></DT></DT>
<DD>
<B>-v</B>
</DD>

<DT><B>-V</B> </DT></DT>
<DD>    Any of these three flags has the same meaning:
write verbose output to standard error that
describes what checksuif is doing, whether or not
problems are found.
</DD>
</DL>

<H2><A NAME="sect4" HREF="#toc4"><B>History</B></A></H2>

<P>
Bob Wilson wrote the type checking part and Chris Wilson
added some other checks.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">Options</A></LI>
<LI><A NAME="toc4" HREF="#sect4">History</A></LI>
</UL>
</BODY></HTML>
